package com.fufan.mtsaas.modules.sysmgr.sydept.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.request.DeleteRequest;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDept;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sydept.bo.request.DeptQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sydept.bo.request.DeptSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDept;

import java.util.Map;

/**
 *  服务类
 *
 * @author Liby
 * @since 2019-08-19
 */
public interface SYDeptSvc extends IService<SYDept> {
    Result doQueryPage(DeptQueryRequest map);

    Result doSave(SYDept entity, RequestPojo requestPojo);

    Result doUpdate(SYDept entity, RequestPojo requestPojo);

    Result doDelete(DeleteRequest map, RequestPojo requestPojo);

    Result doSaveMap(DeptSaveRequest map, RequestPojo requestPojo);

    Result doUpdateMap(DeptSaveRequest map, RequestPojo requestPojo);

    Result doQueryStructure(Map<String, String> map);
}
